classification
Title: update browser list with additional browser names
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: doko Nosy List: doko, eric.araujo, orsenthil, python-dev, r.david.murray
Priority: normal Keywords: patch

Created on 2013-03-24 17:42 by doko, last changed 2013-04-13 15:07 by doko. This issue is now closed.

Files
File name Uploaded Description Edit
webbrowser.diff doko, 2013-03-24 17:42
2.7.diff doko, 2013-03-24 17:52
Messages (14)
msg185145 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-03-24 17:42
Add some browser names supported on Debian systems:

 - www-browser, x-www-browser are browser names handled by
   the alternatives system, which should be preferred over
   specific browser names. Inserted with lower priority
   than the browsers for specific desktop environments.

 - iceweasel, iceape are used in Debian for the Mozilla
   browser for trademark reasons.

will backport for 2.7 after the 2.7.4 release.
msg185146 - (view) Author: Roundup Robot (python-dev) Date: 2013-03-24 17:50
New changeset 206522d9134e by doko in branch '3.3':
- Issue #17536: Add to webbrowser's browser list: www-browser, x-www-browser,
http://hg.python.org/cpython/rev/206522d9134e

New changeset 34648809d777 by doko in branch 'default':
- Issue #17536: Add to webbrowser's browser list: www-browser, x-www-browser,
http://hg.python.org/cpython/rev/34648809d777
msg185147 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-03-24 17:52
2.7.diff is the backport for 2.7, adding additional names xdg-open, gvfs-open, and chromium names.
msg185151 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-03-24 18:28
Technically this is a new feature and should only go into 3.4.  I'm open to discussion about this, but the discussion should have happened *before* the commit.
  
You will note in particular that support for Chrome was added in issue 13620 as an enhancement, and was per our rules not backported.

Quite aside from the enhancement issue, it is also customary to post the patch first and then wait a bit before committing, to give people a chance to comment.
msg185152 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-03-24 18:41
> Technically this is a new feature and should only go into 3.4.  I'm open to discussion about this, but the discussion should have happened *before* the commit.

ok, will do so in the future. Howver it did look a bit simple ...

> You will note in particular that support for Chrome was added in issue 13620 as an enhancement, and was per our rules not backported.

so, we did backport libffi, expat, pybsddb for 2.7 to be able to cope with current / updated build environments.  From my point of view, this is the case here too, coping with current / updated runtime environments. Maybe we should re-check the rules and document these kind of updates.
msg185154 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-03-24 18:53
Yeah, that's why I said I was open to discussion on it.  It is more of a UI/system-config issue than a code issue, so I think maybe a backport would be OK.  But we should check with python-dev, I think, since making UI changes to IDLE requires a PEP :)
msg185165 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2013-03-24 22:19
Making these changes in 2.7

+    # Google Chrome/Chromium browsers
+    for browser in ("google-chrome", "chrome", "chromium", "chromium-browser"):
+        if _iscommand(browser):
+            register(browser, None, Chrome(browser))
+

is a mistake IMO. These are new features.

We can argue that even the addition of www-browser should be considered a feature, depending upon when the www-browser update alternative was introduced by Debian/Ubuntu. I would rather go for a discussion too, because this is clearly a grey area. My thoughts are same as David's here.
msg185175 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-03-25 02:40
I would consider the list of browsers updatable in stable branches, like MIME types and encoding aliases.  The alternate names for Mozilla browsers are really just strings in a list; xdg-open/x-www-browser/gvfs-open are a little more (need to use the right class i.e. BackgroundBrowser).  I think the goal of the backport rules is to 1) not compromise stability by adding new code 2) not break code that was valid in the previous bugfix version.  Adding encoding aliases or browsers seems much smaller to me than for example the cStringIO unicode fix that added unicode support to shlex as a side effect.
msg185340 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-03-27 15:21
FTR the shlex unicode bug reports are #6988 and #1170, and the cStringIO bug is #1548891.
msg186429 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-04-09 15:27
in http://mail.python.org/pipermail/python-dev/2013-April/125205.html Guido made the suggestion:

"""
But perhaps we could change the focus for 2.7 development a bit:
instead of fixing bugs (or bickering about whether something is a bug
fix or a new feature) we could limit changes to ensuring that it works
on newer platforms.
"""

so I'll wait some more days ...
msg186431 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-04-09 15:32
consider that chrome is your only browser installed, then the module should work as well.
msg186432 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2013-04-09 15:34
Doko: I am not strongly against the 2.7 patch. Given the last point you made providing the context from BDFL and also some of Eric's points, going ahead with your 2.7 patch seems OK to me. So +1
msg186727 - (view) Author: Roundup Robot (python-dev) Date: 2013-04-13 15:05
New changeset 5a1429e9b621 by doko in branch '2.7':
- Issue #17536: Add to webbrowser's browser list: xdg-open, gvfs-open,
http://hg.python.org/cpython/rev/5a1429e9b621
msg186729 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-04-13 15:07
now in 2.7
History
Date User Action Args
2013-04-13 15:07:30dokosetstatus: open -> closed
resolution: fixed
messages: + msg186729

stage: resolved
2013-04-13 15:05:33python-devsetmessages: + msg186727
2013-04-09 15:34:34orsenthilsetmessages: + msg186432
2013-04-09 15:32:40dokosetmessages: + msg186431
2013-04-09 15:27:16dokosetmessages: + msg186429
2013-03-27 15:21:48eric.araujosetmessages: + msg185340
2013-03-25 02:40:47eric.araujosetnosy: + eric.araujo
messages: + msg185175
2013-03-24 22:19:25orsenthilsetmessages: + msg185165
2013-03-24 18:53:51r.david.murraysetmessages: + msg185154
2013-03-24 18:41:05dokosetmessages: + msg185152
2013-03-24 18:28:06r.david.murraysetnosy: + r.david.murray, orsenthil
messages: + msg185151
2013-03-24 17:52:39dokosetfiles: + 2.7.diff

messages: + msg185147
2013-03-24 17:50:35python-devsetnosy: + python-dev
messages: + msg185146
2013-03-24 17:42:08dokocreate